Bug 1418312 - NFS mounts at boot time not working under IPv6
Summary: NFS mounts at boot time not working under IPv6
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 14:13 UTC by dan
Modified: 2018-05-29 11:20 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:20:01 UTC
Type: Bug


Attachments (Terms of Use)

Description dan 2017-02-01 14:13:57 UTC
Description of problem:

I have a number of filesystems mounted via fstab as part of the boot process.  All was working fine under IPv4.  After switching to IPv6 for NFS, the mounts fail at boot time.  After boot, I can perform a mount -a and they will mount fine.

Here are the nfs related lines from /etc/fstab:

nas469l:/share/Multimedia /mnt/Multimedia	 nfs	 noatime,intr	0 2
nas469l:/share/homes /mnt/homes			 nfs	 noatime,intr	0 2
nas469l:/share/Common /mnt/common		 nfs	 noatime,intr	0 2
nas469l:/share/vmwin10pro-backup /mnt/vmwin10pro-backup	   nfs	   noatime,intr 0 2
nas469l:/share/ears-backup /mnt/ears-backup	 nfs     noatime,intr	0 2

Here as an errors from the journal:

● mnt-homes.mount - /mnt/homes
   Loaded: loaded (/etc/fstab; generated; vendor preset: disabled)
   Active: failed (Result: exit-code) since Wed 2017-02-01 09:01:18 EST; 6min ago
    Where: /mnt/homes
     What: nas469l:/share/homes
     Docs: man:fstab(5)
           man:systemd-fstab-generator(8)
  Process: 1698 ExecMount=/usr/bin/mount nas469l:/share/homes /mnt/homes -t nfs -o noatime,intr (code=exited, status=32)

Feb 01 09:01:18 zzz.com systemd[1]: Mounting /mnt/homes...
Feb 01 09:01:18 zzz.com mount[1698]: mount.nfs: Failed to resolve server nas469l: Name or service not known
Feb 01 09:01:18 zzz.com systemd[1]: mnt-homes.mount: Mount process exited, code=exited status=32
Feb 01 09:01:18 zzz.com systemd[1]: Failed to mount /mnt/homes.
Feb 01 09:01:18 zzz.com systemd[1]: mnt-homes.mount: Unit entered failed state.

This seems to indicate a name resolution error but the issue also occurs with an /etc/hosts entry pointing to the IP address of the V6 NFS host.

As a workaround, I can add noauto,x-systemd.automount to the fstab line and the errors do not occur and the mount is done on demand.

Comment 1 Steve Dickson 2017-02-01 15:09:46 UTC
(In reply to dan from comment #0)
> Description of problem:
> 
> I have a number of filesystems mounted via fstab as part of the boot
> process.  All was working fine under IPv4.  After switching to IPv6 for NFS,
> the mounts fail at boot time.  After boot, I can perform a mount -a and they
> will mount fine.
> 
> Here are the nfs related lines from /etc/fstab:
> 
> nas469l:/share/Multimedia /mnt/Multimedia	 nfs	 noatime,intr	0 2
> nas469l:/share/homes /mnt/homes			 nfs	 noatime,intr	0 2
> nas469l:/share/Common /mnt/common		 nfs	 noatime,intr	0 2
> nas469l:/share/vmwin10pro-backup /mnt/vmwin10pro-backup	   nfs	  
> noatime,intr 0 2
> nas469l:/share/ears-backup /mnt/ears-backup	 nfs     noatime,intr	0 2
> 
> Here as an errors from the journal:
> 
> ● mnt-homes.mount - /mnt/homes
>    Loaded: loaded (/etc/fstab; generated; vendor preset: disabled)
>    Active: failed (Result: exit-code) since Wed 2017-02-01 09:01:18 EST;
> 6min ago
>     Where: /mnt/homes
>      What: nas469l:/share/homes
>      Docs: man:fstab(5)
>            man:systemd-fstab-generator(8)
>   Process: 1698 ExecMount=/usr/bin/mount nas469l:/share/homes /mnt/homes -t
> nfs -o noatime,intr (code=exited, status=32)
Doing the mount by had, not going through systemd, work?

> This seems to indicate a name resolution error but the issue also occurs
> with an /etc/hosts entry pointing to the IP address of the V6 NFS host.
Even when you do the mount by hand?

> 
> As a workaround, I can add noauto,x-systemd.automount to the fstab line and
> the errors do not occur and the mount is done on demand.

I've seen problem with systemd handling IPv6 addresss...

Comment 2 dan 2017-02-01 17:04:02 UTC
Once the system it up, I can login, do a mount -a and all filesystems, including those failing at boot time, will mount properly without error.

Comment 3 Steve Dickson 2017-02-01 18:08:22 UTC
(In reply to dan from comment #2)
> Once the system it up, I can login, do a mount -a and all filesystems,
> including those failing at boot time, will mount properly without error.

Fair enough... I'm going to switch this over to the 
systemd folks for them to take a look, since does not
appear to be an NFS problem.

Comment 4 Fedora End Of Life 2017-11-16 18:37:16 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 dan 2017-12-01 11:07:51 UTC
Tested under FC26, mounts are failing with dependency at boot time.  However, after boot, mount -a works.

From the systemd journal.  Something needed at remote-fs.target is not found.

mnt-vmwin10pro\x2dbackup.mount: Mount process exited, code=exited status=32
Failed to mount /mnt/vmwin10pro-backup.
Dependency failed for Remote File Systems.
remote-fs.target: Job remote-fs.target/start failed with result 'dependency'.
mnt-vmwin10pro\x2dbackup.mount: Unit entered failed state.
mnt-ears\x2dbackup.mount: Mount process exited, code=exited status=32

Comment 6 todd_lewis 2017-12-20 13:39:50 UTC
I'm getting the same thing on f27, kernel-4.14.6-300.fc27.x86_64, nfs-utils-2.2.1-1.rc2.fc27.x86_64.

Comment 7 Fedora End Of Life 2018-05-03 08:05:38 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2018-05-29 11:20:01 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.